package com.dahe.gldriver.adapter

import android.content.Context
import android.view.ViewGroup
import android.widget.ImageView
import com.amap.api.services.core.PoiItem
import com.chad.library.adapter4.BaseQuickAdapter
import com.chad.library.adapter4.viewholder.QuickViewHolder
import com.dahe.gldriver.R
import com.dahe.mylibrary.utils.ImageLoader

/**
 * @ClassName WaybillAdapter
 * @Author 用户
 * @Date 2024/1/23 16:27
 * @Description TODO
 */
class BusinessListAdapter :
    BaseQuickAdapter<PoiItem, QuickViewHolder>() {
    override fun onBindViewHolder(holder: QuickViewHolder, position: Int, item: PoiItem?) {
        holder.run {
            setText(R.id.name, item?.title)
            setText(R.id.address, item?.snippet)
            setText(R.id.taste, item?.tel)
            ImageLoader.getInstance()
                .loadRoundImage(context, item?.photos?.get(0)?.url, 10, getView<ImageView>(R.id.photoUrl))
        }
    }

    override fun onCreateViewHolder(
        context: Context,
        parent: ViewGroup,
        viewType: Int
    ): QuickViewHolder {
        // 返回一个 ViewHolder
        return QuickViewHolder(R.layout.item_business_list, parent)
    }
}