package com.dahe.gldriver.bean

/**
 * @ClassName CarBean
 * @Author john
 * @Date 2024/3/6 10:26
 * @Description TODO
 */
data class CarBean(
    val approvedLoad: String="",
    val carHeight: String="",
    var carId: String="",
    val carLong: String="",
    val carUrl: String="",
    val carWidth: String="",
    val energySign: String="",
    val energySignCode: String="",
    val isTrailer: String="",
    val plateColor: String="",
    val plateColorCode: String="",
    val trailerApprovedLoad: String="",
    val trailerHeight: String="",
    val trailerId: String="",
    val trailerLong: String="",
    val trailerUrl: String="",
    val trailerVehicleNum: String="",
    val trailerVehicleType: String="",
    val trailerVehicleTypeCode: String="",
    var vehicleNum: String="",
    val vehicleType: String="",
    val vehicleTypeCode: String="",
    var isSelect: Boolean = false
)

data class CarDetail(
    val approvedLoad: Int,
    val carId: Int,
    val carUrl: String,
    val isTrailer: String,
    val licenseFaceUrl: String,
    val owner: String,
    val registerImageUrl: String,
    val roadLicense: String,
    val roadLicensePhotoUrl: String,
    val roadLicenseValidity: String,
    val trailerApprovedLoad: Int,
    val trailerId: Int,
    val trailerLicenseFaceUrl: String,
    val trailerOwner: String,
    val trailerRegisterImageUrl: String,
    val trailerRoadLicensePhotoUrl: String,
    val trailerVehicleNum: String,
    val trailerVehicleType: String,
    val trailerVehicleTypeCode: String,
    val vehicleNum: String,
    val vehicleType: String,
    val vehicleTypeCode: String
)