package com.dahe.glex.bean

import retrofit2.http.GET

/**
 * @ClassName UserBean
 * @Author 用户
 * @Date 2023/9/21 09:52
 * @Description TODO
 */
data class UserBean(
    var access_token :String,
    var token :String,
    var userid :String,
    var id :String,
    var roleId :String,
    var contactPhone :String,
    var uname :String,
    var registerPhone :String,
    var companyName :String,
    var account :String,
    var headportraitUrl :String,
    var salt :String,
    var jumpUrl :String,
    var distance :String,
    var idCardValidity :String,
    var driverValidity :String,
    var driverId :String,
    var qualificationValidity :String,
    var isCar :String,
    var qrcodeUrl :String,
    var expires_in :Int,
    var credit :String,
    var isCarCaptain :String,//是否是车队长（0=否,1=是,9=未选择）
    var contactName :String,
    var idcardName :String,
    var isRealName :String,
    var avatar :String,
    var approvedType :String,//准驾类型
    var partyMemberCertification :String,//党员认证(0=未认证,1=已认证)
    var captainId :String
    )

data class UserDetail(
    var createBy: String="",
    var createTime: String="",
    var isRealName: String="",
    var driverBankcardAddress: String="",
    var driverBankcardNumber: String="",
    var driverBankcardPhotoUrl: String="",
    var driverId: String="",
    var idcardAddress: String="",
    var idcardBackUrl: String="",
    var idcardEffectiveEnd: String="",
    var idcardEffectiveStart: String="",
    var idcardEthnicity: String="",
    var idcardFrontUrl: String="",
    var idcardIsEndless: String="",
    var idcardName: String="",
    var idcardNo: String="",
    var idcardSex: String="",
    var licenseApproveOrganization: String="",
    var licenseEffectiveEnd: String="",
    var licenseEffectiveStart: String="",
    var licenseFirstGetDate: String="",
    var licenseName: String="",
    var licenseNo: String="",
    var licensePhotoBackUrl: String="",
    var licensePhotoFaceUrl: String="",
    var licenseRecordNumber: String="",
    var licenseType: String="",
    var qualificationCertificateEffectiveEnd: String="",
    var qualificationCertificateExamineDate: String="",
    var qualificationCertificateNo: String="",
    var qualificationCertificatePhotoUrl: String="",
    var remark: String="",
    var taxpayerCaptainId: String="",
    var updateBy: String="",
    var updateTime: String=""
)

